import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { PaletteTypes } from './palettes';
export declare type ColorPickerProps = PropsWithMetadata<{
    /** If true, closes picker when a color is selected */
    closeOnSelect?: boolean;
    /** Sets a disabled state on the button */
    disabled?: boolean;
    /** Sets the "selected" color on the button */
    initialColor?: string;
    /** Callback fired once a color is selected */
    onChange: (_: string) => void;
    /** Sets the selectable color palette */
    palette?: PaletteTypes;
    /** Sets the title text on the color picker */
    title: string;
}>;
declare const ColorPicker: ({ closeOnSelect, disabled, initialColor, metadata, onChange, palette, title, }: ColorPickerProps) => JSX.Element;
export default ColorPicker;
